UPDATE
  TR_GENERIC_CSV_BATCH
SET
  BATCH_NAME = /*:BatchName*/'name',
  USER_PATTERN_ID = /*:UserPatternId*/'123,456',
  REPEAT_ID = /*:RepeatId*/23
  UPDATE_DATETIME = /*:DateTime*/TO_DATE('20091224000000','YYYYMMDDHH24MISS'),
  UPDATE_ID = /*:Uid*/'nakayama',
  VERSION = CASE WHEN VERSION = 999999 THEN 1 ELSE VERSION + 1 END
WHERE
  ID = /*:Id*/32
  AND INSERT_ID = /*:Uid*/'nakayama'
  AND VERSION = /*:Version*/1
